Contributing
------

Thanks for taking your time to contribute to this project, the process is very simple.


1. Fork the repo 
2. Do the work 🚧
3. Use the standard guide for commit, look below 👇
4. Open the PR 
5. Merge 👏 🔥


Commits 
------ 
We are using `semantic-release-cli` to make package releases to npm, and it fully relies on your commits text. 

Here is a sample commits for you 😉

```
refactor(missing-token): moving an error to a constant file
fix(translate): fixing an error with translation 
feat(languages): add new langugage
```


Other types:

```
* **feat**: A new feature
* **fix**: A bug fix
* **docs**: Documentation only changes
* **style**: Changes that do not affect the meaning of the code (white-space, formatting, missing
  semi-colons, etc)
* **refactor**: A code change that neither fixes a bug nor adds a feature
* **perf**: A code change that improves performance
* **test**: Adding missing or correcting existing tests
* **chore**: Changes to the build process or auxiliary tools and libraries such as documentation
  generation
```

More info 
------ 
- https://github.com/angular/angular.js/blob/master/DEVELOPERS.md#-git-commit-guidelines
- https://github.com/semantic-release/semantic-release#commit-message-format
 
